
body
{
    background-color: #333333; 
    color: white; 
    font-family: Gill Sans, sans-serif;
    max-width: 100vw;
}

header {
    background-color: wheat;
    padding: 2vw;
}

.logo {
    max-height: 150px;
    max-width: 200px;
    width: 120px;
    height: 120px;
    padding: 2vw;
    float: left;
}

header h1{
 color: orange;
 font-size: 4em;
 padding-top: 3.5vw;
 float: left;
 
}

header h1:hover {
    color: white;
    text-decoration: line-through;
}

h1:hover {
    color: white;
}

.dropdown {
    display: inline-block;
    font-size: 3.5em;
    float: right;
    width: 30%;
  }
  
  .dropdown-content {
    display: none;
    position: absolute;
    z-index:1;
    margin-right: 2em;
  }
  
  .dropdown:hover .dropdown-content {
    display: block;
  }
  
  span {
    transition: transform .5s;
  -webkit-transition: -webkit-transform .5s;
    display: block;
    transform: rotate(90deg);
  }
  
  .dropdown:hover span {
    transition: transform .5s;
  -webkit-transition: -webkit-transform .5s;
    display: inline-block;
    transform: rotate(180deg);
  }

  #grid-header {
    display: inline-block;
    max-width: 100vw;
}



#top {
  color: white;
}
#top:hover {
    color: wheat;
}

#ride-with-us{
  color:wheat;
}

a:link {
    color: white;
}
a:visited {
    color: orange;
}

a:hover {
    color: white;
}
     
 
 h1 {
    margin-top: 0;
    color: wheat;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;;
    vertical-align: middle;
}

#location {
    padding-top: 3vw; 
    text-align: center;
    text-decoration: underline;
}

#gallery {
    padding-top: 3vw; 
    text-align: center;
    text-decoration: underline;
}

#bikes {
    padding-top: 3vw; 
    text-align: center;
    text-decoration: underline;
}

#team {
    padding-top: 3vw; 
    padding-bottom: 2vw;
    text-align: center;
    text-decoration: underline;
}


img {
    width: 100%;
}
.container {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    color: white;
    height: 90vh;
    background-image: url(https://www.raleigh.co.uk/media/catalog/category/electric-road-bikes.jpg);
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    margin-top: 0;
}

  .text {
    text-align: center;
    margin: 0 auto;
  }

.responsive {
   width: 100%;
   height: auto;
 }

.gridBikes {
    display: grid;
    grid-template-columns: 1fr 1fr;

}

@media all and (max-width: 800px){
    .gridBikes {
        grid-template-columns: 1fr;
    }
    .mobile {
        display: block;
    }
    .desktop {
        display: none;
    }
}

@media print {
    .gridBikes {
    grid-template-columns: 1fr 1fr;
    }
}

button {
  background-color: #333333;
  opacity: 0.7;
  border: none;
  color: white;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
}

button:hover{
    background: wheat;
    color: black;;
}

.gallery {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
}

@media all and (max-width: 800px){
    .gallery {
        grid-template-columns: 1fr 1fr;
    }
    .mobile {
        display: block;
    }
    .desktop {
        display: none;
    }
}

@media all and (max-width: 460px){
    .gallery {
        grid-template-columns: 1fr;
    }
    .mobile {
        display: block;
    }
    h1.mobile {
        display:none;
    }
    .desktop {
        display: none;
    }
}

@media print {
    .gallery {
    grid-template-columns: 1fr 1fr 1fr;
    }
}

.team-gallery {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-gap: 1em;
    padding-bottom: 5vw;
    width: relative;
    height: auto;
    position: center;
}


@media all and (max-width: 800px){
    .team-gallery {
        grid-template-columns: 1fr;
    }
    .mobile {
        display: block;
    }
    .desktop {
        display: none;
    }
}

@media all and (max-width: 460px){
    .team-gallery {
        grid-template-columns: 1fr;
    }
    .mobile {
        display: block;
    }
    h1.mobile {
        display:none;
    }
    .desktop {
        display: none;
    }
}

@media print {
    .team-gallery {
    grid-template-columns: 1fr 1fr 1fr;
    }
}

#bike-type:hover {
  color: white;
  padding-left: 4vw;
  padding-top: 2vw;
}
#bike-type {
    color: orange;
    padding-left: 2vw;
    padding-top: 2vw;
}

#bike-text {
    padding-left: 2vw;
}

section {
    background-color: wheat;
    width: 100%;
}


footer {
    text-align: center;
    max-width: 100vw;
    padding: 1em;
    background-color: wheat;
    color: orange;
    font-size: 1.2em;
    
}


#top {
    padding-top: 1em ;
}


